% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/calc_type_metrics.R
\name{validate_inputs_ctm}
\alias{validate_inputs_ctm}
\title{Validate Inputs for Type Metrics Calculation}
\usage{
validate_inputs_ctm(data, type, document, frequency, dispersion)
}
\arguments{
\item{data}{A data frame to validate}

\item{type}{Column name for the type/term variable}

\item{document}{Column name for the document ID variable}

\item{frequency}{Character vector of requested frequency metrics}

\item{dispersion}{Character vector of requested dispersion metrics}
}
\value{
No return value, called for side effects
}
\description{
Helper function that validates the input parameters for the calc_type_metrics
function. Checks data frame structure, column existence, and metric
specifications.
}
\details{
Stops execution with error message if:
\itemize{
\item data is not a data frame
\item required columns are missing
\item frequency contains invalid metric names
\item dispersion contains invalid metric names
}
}
\keyword{internal}
